Skip to main content
GET
/
blogs
/
posts
/
all
Get Blog posts by Blog ID
curl --request GET \
  --url https://services.leadconnectorhq.com/blogs/posts/all \
  --header 'Authorization: Bearer <token>'
{
  "blogs": {
    "categories": [
      "659ecabc4a37969a2b7cc370",
      "6683abde331c041f32c07aee"
    ],
    "tags": [
      "Apple",
      "Banana"
    ],
    "archived": false,
    "_id": "66c381b38be80858b9af62b6",
    "title": "Banana is good source of energy",
    "description": "Description",
    "imageUrl": "https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg",
    "status": "PUBLISHED",
    "locationId": "fACm0Ojm5oC70G3DcFmE",
    "imageAltText": "alt",
    "blogId": "ZiMMOp3ZEdnsZ4qPAjW0",
    "urlSlug": "banana-good-energy",
    "canonicalLink": "https://blog.chatgpts.agency/post/test-8384",
    "author": "659ec9634a3796e4e47cc360",
    "publishedAt": "2024-08-19T17:14:57.000Z",
    "createdAt": "2024-08-19T17:32:35.362Z",
    "updatedAt": "2024-08-19T17:32:36.182Z",
    "currentVersion": "66c381b38be80858b9af62b7"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

locationId
string
required
limit
number
required
offset
number
required
searchTerm
string
required
status
string
required
blogId
string
required

Response

200 - application/json

Successful response

blogs
object
required
Last modified on March 4, 2026